<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head> 
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <title>jQuery Multiple File Upload Plugin v1.29 (2008-06-26)</title>
 <!--// documentation resources //-->
	<script src="jquery-1.2.6.js" type="text/javascript"></script>
		<!--<script src="jquery-ui-personalized-1.6rc1.min.js" type="text/javascript"></script>-->
<script src="jquery.ui.all.packed.js" type="text/javascript"></script>
<script src="jquery.form.js" type="text/javascript"></script>
<script src="jquery.autocomplete.pack.js" type="text/javascript"></script>

<link rel="stylesheet" type="text/css" href="jquery.autocomplete.css" />
	<script type="text/javascript">
		
	function formatItem(row) {
		return row[0] + " (<strong>id: " + row[1] + "</strong>)";
	}
	function formatResult(row) {
		return row[0].replace(/(<.+?>)/gi, '');
	}

	$(document).ready(function(){


	$("#name").autocomplete(
"../auto/name.php",{
		formatResult: formatResult}
);

	$("#place").autocomplete("../auto/place.php",
{
		formatResult: formatResult}
);
	$("#addr").autocomplete("../auto/add.php",
{
		formatResult: formatResult}
);
	
	
	
	
	//$("#tabsEx1 > ul").tabs({ fxAutoHeight: true });
	$("#sen").click(function() { 
	$.ajax({
			type: 'GET',
		    url: '../map/test.php',
			beforeSend:function(){
			 $('.message-loading').fadeIn(200);},
		    data: {type:$("#type").val()},
		    error: function(xhr) { alert('Ajax request 發生錯誤');},
		    success: function() { 				
			$('.message-loading').fadeOut(200);
				}				
			
		});		
		
		});

 $('#map_se').ajaxForm(function() { 
                alert("Thank you for your comment!"); 
            }); 


	
	
	$("#doBlind").click(function() { 
	 $("#f_map").slideToggle("slow");
   /* $("#f_map").toggle("blind", { 
        direction: "horizontal" 
    }, 800); */
});
});
</script>
</head>
<body>
<button id="doBlind" type="button">Toggle</button><br/><br/>

 <div id="f_map" style="display:none;">
 <iframe frameborder="0" marginwidth="5" marginheight="5" scrolling="no" name="test" src="../map/test.php" style="  width:870px;  height: 320px ; "> </iframe></div> 
  
 <form  id="map_se"  method="get" target="test" action="../map/test.php">
 <table>
 
 <tr><td><input type="checkbox" name="type"  /></td><td>活動類型</td><td>
 <input type="radio" name="aType" value="1" checked>Shopping
	    <input type="radio" name="aType" value="2">Party
		<input type="radio" name="aType" value="3">Food
		<input type="radio" name="aType" value="4">Travel
		<input type="radio" name="aType" value="5">Sports
		<input type="radio" name="aType" value="6">Educate
 </td></tr>
 <tr><td><input type="checkbox" name="aname"  /></td><td>活動名稱:</td><td><p>
			<input type="text"  id="name" name="name" ></td></tr>
 <tr><td><input type="checkbox" name="aplace"  /></td><td>活動地點:</td><td><input name="place" type="text" id="place"  size="50" maxlength="50"/></td></tr>
 <tr><td><input type="checkbox" name="adate"  /></td><td>活動日期:</td><td></td></tr>
<tr><td><input type="checkbox" name="aadd"  /></td><td>活動地址:</td><td><input name="add" type="text" id="addr"  size="50" maxlength="50"/></td></tr>
 </table>

 <input type="submit" value="send" />
 <button id="sen" type="button">Toggle</button><br/><br/>
 </form>
 <div class='message-loading' style='display:none'><img src="../images/loadingAnimation.gif" /> Sending.....</div>
<div style="clear: both;"></div>
</body>
</html>


